%global momorel 1

Summary: X509/LDAP certificate and revocation list client
Name: dirmngr
Version: 0.9.1
Release: %{momorel}m
URL: http://www.gnupg.org/
Source0: ftp://ftp.gnupg.org/gcrypt/alpha/%{name}/%{name}-%{version}.tar.gz
NoSource: 0

License: GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libgcrypt
Requires: pth
BuildPreReq: openldap-devel
BuildPreReq: libksba >= 0.4.6
BuildPreReq: libgcrypt-devel >= 1.2.0
BuildPreReq: pth-devel
BuildPreReq: libassuan >= 0.6.9


%description
X509/LDAP certificate and revocation list client.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall
rm -f %{buildroot}/%{_infodir}/dir

# docs
rm -fr	rpmdoc
mkdir	rpmdoc/
cp -r AUTHORS COPYING ChangeLog NEWS README* THANKS tests \
	rpmdoc/
mkdir	rpmdoc/src/
cp src/ChangeLog rpmdoc/src/


%clean
rm -rf %{buildroot}

%post
if [ "$1" = 1 ]; then
/sbin/install-info %{_infodir}/dirmngr.info %{_infodir}/dir \
--entry='* dirmngr: (dirmngr). X509/LDAP certificate and revocation list client.'
fi

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --delete dirmngr %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc rpmdoc/*
%{_bindir}/dirmngr
%{_bindir}/dirmngr-client
%{_infodir}/dirmngr*
%{_datadir}/locale/*/LC_MESSAGES/dirmngr.mo
%{_libexecdir}/dirmngr_ldap

%changelog
* Sat Mar 19 2005 TAKAHASHI Tamotsu <tamo>
- (0.9.1-1m)
- minor bugfix

* Sat Jan 29 2005 TAKAHASHI Tamotsu <tamo>
- (0.9.0-1m)
- Alter -> Main
- _sbindir -> _bindir
- requires: pth

* Mon Jun 14 2004 TAKAHASHI Tamotsu <tamo>
- (0.5.5-1m)

* Fri Sep 12 2003 TAKAHASHI Tamotsu <tamo>
- (0.4.5-1m)
- dirmngr, divided from newpg

* Thu Jun 19 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.4-6m)
  rebuild against cyrus-sasl2
  
* Wed May 14 2003 TAKAHASHI Tamotsu <tamo>
- (0.9.4-5m)
- pinentry 0.6.9 (has only qt-related changes)
- dirmngr  0.4.5 (src/ChangeLog has been merged to
 toplevel ChangeLog file)
- no longer declare CC=gcc
- make with _smp_mflags
- enable pinentry-qt when pinqt is 1 (default 0)

* Sat Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.4-4m)
  rebuild against openssl 0.9.7a

* Mon Feb 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9.4-3m)
- rebuild against for gdbm

* Sun Feb 09 2003 TAKAHASHI Tamotsu <tamo>
- (0.9.4-2m)
- dir 0.4.4
- pin 0.6.8 (URL changed?)
- BuildPreReq: libgcrypt-devel >= 1.1.12
- autogen pinentry
- BuildPreReq: db2

* Thu Dec 05 2002 TAKAHASHI Tamotsu <ttakah@lapis.plala.or.jp>
- (0.9.4-1m)
- BuidPreReq: libksba >= 0.4.6

* Mon Dec 02 2002 TAKAHASHI Tamotsu <ttakah@lapis.plala.or.jp>
- (0.9.3-1m)
- npg 0.9.3
- dir 0.4.3
- pin 0.6.7 (URI changed)

* Sat Oct 26 2002 TAKAHASHI Tamotsu <ttakah@lapis.plala.or.jp>
- (0.9.2-3m)
- "LIBS=-ldb2" no longer needed

* Fri Oct 11 2002 TAKAHASHI Tamotsu <ttakah@lapis.plala.or.jp>
- (0.9.2-2m)
- all: misc docs added (rpmdoc/*)
- pinentry: option --enable-fallback-curses added

* Sat Oct 05 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (0.9.2-1m)
- now preun/post is in if-fi
- npg 0.9.2
- dir 0.4.2
- pin 0.6.5
- (libksba >= 0.4.5)
- (libgcrypt-devel >= 1.1.10)

* Sun Sep 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.1-2m)
- BuildPreReq: libksba >= 0.4.4

* Fri Sep 13 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (0.9.1-1m)
- dirver 0.4.1-p1
- pinver 0.6.4
- added dirmngr.info, renamed gpgsm.info to gnupg.info
- added newpg.mo
- removed README-alpha, agent/keyformat.txt and doc
- corrected info installation

* Fri Jul 12 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (0.3.9-2m)
- sorry, --with-*-pgm's should be ProGraMs (not dir)

* Thu Jul 04 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (0.3.9-1m)
- update
- install-info
- --disable-scdaemon --enable-gpg --without-pth
- URL: http://www.gnupg.org/
- dirver 0.3.0
- pinver 0.6.3 ENable-curses ENable-gtk DISable-qt
- libdir/newpg/protect-tools

* Thu May 02 2002 Tamotsu TAKAHASHI <arms405@jade.dti.ne.jp>
- (0.3.5-0.020020501002k)
- from anoncvs
- url unknown
- not committed yet
